/v1/communities/{community_id}/lists/{list_id}/members/{member_actor_id}AuthRemove a member from a list. Owner-only. Idempotent — 204 either way. Pass the caller via `?actor_id=`.
Path parameters
community_id*stringSocial community UUID.
list_id*stringList UUID.
member_actor_id*stringMember — social actor UUID.
Query parameters
actor_id*string · uuidCaller social actor UUID (must equal the list owner).
Response · 204
Member removed.
Example
Request
DELETE https://social.productcraft.co/v1/communities/{community_id}/lists/{list_id}/members/{member_actor_id}
Authorization: Bearer YOUR_TOKENimport { Social } from "@productcraft/social";
// Reads PRODUCTCRAFT_API_KEY from the environment
const social = new Social();
await social.community("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f").as("7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d").lists.members.delete("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", {});social.community(…).lists.members.delete(listId, memberActorId, params, options?): void